[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCommonDialog.DoShow

Performs actions needed when the dialog is displayed.

## Declaration

Source position: dialogs.pp line 124

`public procedure TCommonDialog.DoShow; virtual;`

## Description

DoShow is a method used to perform actions needed when the form for the modal dialog is displayed. DoShow sets an internal flag to indicate that the dialog has been displayed, and signals the OnShow event handler (when assigned).

No actions are performed in the method if the dialog has already been displayed.

DoShow is called from the DoExecute method.

## See also

TCommonDialog.Execute |  | Displays the dialog and captures the result.
TCommonDialog.DoExecute |  | The function that actually takes care of executing the dialog.
TCommonDialog.OnShow |  | Event handler signalled when the dialog is displayed.